package com.ruoyi.finance.service;

import com.ruoyi.finance.domain.FinanceServiceFee;
import com.ruoyi.finance.domain.vo.FinanceServiceFeeVo;
import com.ruoyi.finance.domain.bo.FinanceServiceFeeBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 劳务费Service接口
 *
 * @author ruoyi
 * @date 2024-06-16
 */
public interface IFinanceServiceFeeService {

    /**
     * 查询劳务费
     */
    FinanceServiceFeeVo queryById(Long serviceFeeId);

    /**
     * 查询劳务费列表
     */
    TableDataInfo<FinanceServiceFeeVo> queryPageList(FinanceServiceFeeBo bo, PageQuery pageQuery);

    /**
     * 查询劳务费列表
     */
    List<FinanceServiceFeeVo> queryList(FinanceServiceFeeBo bo);

    /**
     * 新增劳务费
     */
    Boolean insertByBo(FinanceServiceFeeBo bo);

    /**
     * 修改劳务费
     */
    Boolean updateByBo(FinanceServiceFeeBo bo);

    /**
     * 校验并批量删除劳务费信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
